For discussion of Alpine Linux development and developer support

[alpine-devel] [PATCH] testing/qimageblitz: Upgrade to 0.0.6

k0r10n
Details
Message ID
<1412508035-10827-1-git-send-email-k0r10n.dev@gmail.com>
Sender timestamp
1412508035
DKIM signature
missing
Download raw message
Patch: +10 -7
---
 testing/qimageblitz/APKBUILD | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

diff --git a/testing/qimageblitz/APKBUILD b/testing/qimageblitz/APKBUILD
index f4450fc..67b9c99 100644
--- a/testing/qimageblitz/APKBUILD
+++ b/testing/qimageblitz/APKBUILD
@@ -1,20 +1,20 @@
 # Contributor: William Pitcock <nenolod@dereferenced.org>
 # Maintainer:
 pkgname=qimageblitz
-pkgver=0.0.4
+pkgver=0.0.6
 pkgrel=0
 pkgdesc="qt image processing library"
-url="http://sourceforge.net/projects/qimageblitz"
+url="http://www.kde.org"
 arch="all"
 license="LGPL"
-depends=
+depends="qt"
 depends_dev="qt-dev"
 makedepends="$depends_dev cmake automoc4"
 install=""
 subpackages="$pkgname-dev"
-source="http://sourceforge.net/projects/qimageblitz/files/qimageblitz-$pkgver.tar.bz2"
+source="ftp://ftp.kde.org/pub/kde/stable/${pkgname}/${pkgname}-${pkgver}.tar.bz2"
 
-_builddir="$srcdir"/qimageblitz-$pkgver
+_builddir="$srcdir"/${pkgname}-${pkgver}
 prepare() {
 	local i
 	cd "$_builddir"
@@ -28,7 +28,8 @@ prepare() {
 
 build() {
 	cd "$_builddir"/build
-	cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_SKIP_RPATH=ON "$_builddir" || return 1
+	cmake -DCMAKE_INSTALL_PREFIX=/usr \
+	      -Wno-dev "$_builddir" || return 1
 	make || return 1
 }
 
@@ -37,4 +38,6 @@ package() {
 	make DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="cb87c7f1c0455e8984ee4830f1e749cf  qimageblitz-0.0.4.tar.bz2"
+md5sums="0ae2f7d4e0876764a97ca73799f61df4  qimageblitz-0.0.6.tar.bz2"
+sha256sums="9f102269dec50641440e23a449df215a0db9efef9a3969939d618c5e78a5010f  qimageblitz-0.0.6.tar.bz2"
+sha512sums="dbd506c01622824efdec69640eb95e737d7848fa15d33351084a6499ca2321d7bc08e080d1e443f8ab9015cd2967c10d9b5aa2f3c6eaa7558153821c46133af9  qimageblitz-0.0.6.tar.bz2"
-- 
2.0.0



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---